summaryrefslogtreecommitdiffstats
path: root/desktop/ubuntulooks
diff options
context:
space:
mode:
author Andrew Brouwers <abrouwers@gmail.com>2010-05-11 19:44:06 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:44:06 +0200
commitb7c5f7273faf36dab8860938005d43dcf10ce744 (patch)
tree1a32f9747cc41811d02580af9e5a4ca991d7806d /desktop/ubuntulooks
parente5a8d743131bf8bf9495a88c980925bf26810376 (diff)
downloadslackbuilds-b7c5f7273faf36dab8860938005d43dcf10ce744.tar.gz
slackbuilds-b7c5f7273faf36dab8860938005d43dcf10ce744.tar.xz
desktop/ubuntulooks: Updated for version 0.9.12_8
Diffstat (limited to 'desktop/ubuntulooks')
-rw-r--r--desktop/ubuntulooks/README4
-rw-r--r--desktop/ubuntulooks/slack-desc21
-rw-r--r--desktop/ubuntulooks/ubuntulooks.SlackBuild21
-rw-r--r--desktop/ubuntulooks/ubuntulooks.info4
-rw-r--r--desktop/ubuntulooks/ubuntulooks_0.9.12-4.diff.gzbin3643 -> 0 bytes
-rw-r--r--desktop/ubuntulooks/ubuntulooks_0.9.12-8.diff.gzbin0 -> 5381 bytes
6 files changed, 33 insertions, 17 deletions
diff --git a/desktop/ubuntulooks/README b/desktop/ubuntulooks/README
index 887823bb4c..c811a3824d 100644
--- a/desktop/ubuntulooks/README
+++ b/desktop/ubuntulooks/README
@@ -1,3 +1,3 @@
-Ubuntulooks is the gtk2 engine used by the ubuntu. It can
-be used within a gtk environment, or set for a window manager
+Ubuntulooks is the gtk2 theme engine used by Ubuntu. It can
+be used within a gtk environment or set for a window manager
with a tool such as gtk-chtheme.
diff --git a/desktop/ubuntulooks/slack-desc b/desktop/ubuntulooks/slack-desc
index e323aad19a..4621b902af 100644
--- a/desktop/ubuntulooks/slack-desc
+++ b/desktop/ubuntulooks/slack-desc
@@ -1,6 +1,19 @@
-ubuntulooks: ubuntulooks (A gtk+2.0 Theme remiscent of a certain distro)
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ubuntulooks: ubuntulooks (A gtk+2.0 theme)
ubuntulooks:
-ubuntulooks: Ubuntulooks is a very polished gtk2 engine for linux and used by
-ubuntulooks: the ubuntu project It can be used within a gtk environment, or
-ubuntulooks: set for a window manager with a tool such as gtk-chtheme.
+ubuntulooks: Ubuntulooks is a very polished gtk2 engine for linux and used
+ubuntulooks: by the Ubuntu project. It can be used within a gtk environment
+ubuntulooks: or set for a window manager with a tool such as gtk-chtheme.
+ubuntulooks:
+ubuntulooks:
+ubuntulooks:
+ubuntulooks:
+ubuntulooks:
ubuntulooks:
diff --git a/desktop/ubuntulooks/ubuntulooks.SlackBuild b/desktop/ubuntulooks/ubuntulooks.SlackBuild
index ec2b8eb24f..55bb2e2b7b 100644
--- a/desktop/ubuntulooks/ubuntulooks.SlackBuild
+++ b/desktop/ubuntulooks/ubuntulooks.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for ubuntulooks.
-# Copyright 2006 Andrew Brouwers <abrouwers@gmail.com>
+# Copyright 2008 Andrew Brouwers <abrouwers@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,18 +22,20 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
+# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=ubuntulooks
-VERSION=0.9.12
+VERSION=0.9.12_8
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG=_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+SRCVERSION=0.9.12
DOCS="AUTHORS COPYING INSTALL ChangeLog NEWS README"
if [ "$ARCH" = "i486" ]; then
@@ -45,17 +47,18 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
-rm -rf $PRGNAM-$VERSION
-tar xvfz $CWD/${PRGNAM}_${VERSION}.orig.tar.gz
-cd $PRGNAM-$VERSION || exit 1
+rm -rf $PRGNAM-$SRCVERSION
+tar xvfz $CWD/${PRGNAM}_${SRCVERSION}.orig.tar.gz
+cd $PRGNAM-$SRCVERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Apply the main version bump patch
+zcat $CWD/${PRGNAM}_${SRCVERSION}-8.diff.gz | patch -p1
# Apply the patches from debian
-gunzip -c $CWD/${PRGNAM}_${VERSION}-4.diff.gz | patch -p1
patch -p1 < debian/patches/01_fix_listview_arrows_drawing.patch
patch -p1 < debian/patches/01_fix_tick_box_drawing.patch
-
+patch -p1 < debian/patches/01_progressbar-fix.patch
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
diff --git a/desktop/ubuntulooks/ubuntulooks.info b/desktop/ubuntulooks/ubuntulooks.info
index 2a0b454019..b69b7f634f 100644
--- a/desktop/ubuntulooks/ubuntulooks.info
+++ b/desktop/ubuntulooks/ubuntulooks.info
@@ -1,8 +1,8 @@
PRGNAM="ubuntulooks"
-VERSION="0.9.12-4"
+VERSION="0.9.12_8"
HOMEPAGE="http://packages.ubuntu.com/feisty/gnome/gtk2-engines-ubuntulooks"
DOWNLOAD="http://archive.ubuntu.com/ubuntu/pool/main/u/ubuntulooks/ubuntulooks_0.9.12.orig.tar.gz"
MD5SUM="5ba7d915abe31870103aab5847278d13"
MAINTAINER="Andrew Brouwers"
EMAIL="abrouwers@gmail.com"
-APPROVED="BP{k}"
+APPROVED="rworkman"
diff --git a/desktop/ubuntulooks/ubuntulooks_0.9.12-4.diff.gz b/desktop/ubuntulooks/ubuntulooks_0.9.12-4.diff.gz
deleted file mode 100644
index 9ee9cd4b58..0000000000
--- a/desktop/ubuntulooks/ubuntulooks_0.9.12-4.diff.gz
+++ /dev/null
Binary files differ
diff --git a/desktop/ubuntulooks/ubuntulooks_0.9.12-8.diff.gz b/desktop/ubuntulooks/ubuntulooks_0.9.12-8.diff.gz
new file mode 100644
index 0000000000..e14eb20394
--- /dev/null
+++ b/desktop/ubuntulooks/ubuntulooks_0.9.12-8.diff.gz
Binary files differ